### Function

# GObject TypeClass peek_static

since: 2.4

#### Declaration [src]

    GObjectTypeClass*
    g_type_class_peek_static (
      GType type
    )

#### Description [src]

A more efficient version of `g_type_class_peek()` which works only for static types.

Available since: 2.4

#### Parameters

`type`

  Type: `GType`

  Type ID of a classed type.

#### Return value

Type: `GTypeClass`

The `GTypeClass` structure for the given type ID or `NULL` if the class does not currently exist or is dynamically loaded.

The data is owned by the called function.
The return value can be `NULL`.